package version

import (
	"fmt"
	"os"
)

var gitCommit string = "devel"

const PROGRAM_NAME string = "fes"
const PROGRAM_NAME_LONG string = "fes/fSD"
const VERSION string = "2.0.0"

func Version() {
	fmt.Printf("%s version %s\n", PROGRAM_NAME_LONG, VERSION)
	os.Exit(0)
}

func FullVersion() {
	fmt.Printf("%s+%s\n", VERSION, gitCommit)
	os.Exit(0)
}

func GetCommit() string {
	return gitCommit
}
